/* eslint-disable @typescript-eslint/no-explicit-any */
import { create } from "zustand";
import { devtools } from "zustand/middleware";

interface ChatState {
  messages: any[];
  setMessages: (messages: any[]) => void;
}

const useChatStore = create<ChatState>()(
  devtools((set) => ({
    messages: [],
    setMessages: (messages) => set({ messages }),
  }))
);

export default useChatStore;
